Edit

Folders - List Folders

Returns a list of folders from the specified workspace.

Note

This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.

This API supports pagination.

Permissions

The caller must have viewer or higher workspace role.

Required Delegated Scopes

Workspace.Read.All or Workspace.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/folders
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/folders?rootFolderId={rootFolderId}&recursive={recursive}&continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
workspaceId
path True

string (uuid)

The workspace ID.

continuationToken
query

string

A token for retrieving the next page of results.

recursive
query

boolean

Lists folders in a folder and its nested folders, or just a folder only. True - All folders in the folder and its nested folders are listed, False - Only folders in the folder are listed. The default value is true.

rootFolderId
query

string (uuid)

This parameter allows users to filter folders based on a specific root folder. If not provided, the workspace is used as the root folder.

Responses

Name Type Description
200 OK

Folders

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • FolderNotFound - Could not find the requested folder.

Examples

List all folders in workspace example
List all folders in workspace with continuation example
List direct children folders under parent folder example
List folders under parent folder recursively example

List all folders in workspace example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb/folders

Sample response

{
  "value": [
    {
      "id": "aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb",
      "displayName": "Sales",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb"
    },
    {
      "id": "bbbbbbbb-1111-2222-3333-cccccccccccc",
      "displayName": "Y2024",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
      "parentFolderId": "aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb"
    },
    {
      "id": "cccccccc-8888-9999-0000-dddddddddddd",
      "displayName": "Q1",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
      "parentFolderId": "bbbbbbbb-1111-2222-3333-cccccccccccc"
    },
    {
      "id": "dddddddd-9999-0000-1111-eeeeeeeeeeee",
      "displayName": "Q2",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
      "parentFolderId": "bbbbbbbb-1111-2222-3333-cccccccccccc"
    }
  ]
}

List all folders in workspace with continuation example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb/folders

Sample response

{
  "value": [
    {
      "id": "aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb",
      "displayName": "Sales",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb"
    },
    {
      "id": "bbbbbbbb-1111-2222-3333-cccccccccccc",
      "displayName": "Y2024",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
      "parentFolderId": "aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb"
    },
    {
      "id": "cccccccc-8888-9999-0000-dddddddddddd",
      "displayName": "Q1",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
      "parentFolderId": "bbbbbbbb-1111-2222-3333-cccccccccccc"
    },
    {
      "id": "dddddddd-9999-0000-1111-eeeeeeeeeeee",
      "displayName": "Q2",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
      "parentFolderId": "bbbbbbbb-1111-2222-3333-cccccccccccc"
    }
  ],
  "continuationToken": "MAEsMTbwMDAwLDA%5D",
  "continuationUri": "https://api.fabric.microsoft.com/v1/workspaces/aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb/folders?continuationToken=MAEsMTbwMDAwLDA%5D"
}

List direct children folders under parent folder example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb/folders?rootFolderId=aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb&recursive=False

Sample response

{
  "value": [
    {
      "id": "bbbbbbbb-1111-2222-3333-cccccccccccc",
      "displayName": "Y2024",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
      "parentFolderId": "aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb"
    }
  ]
}

List folders under parent folder recursively example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb/folders?rootFolderId=aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb&recursive=True

Sample response

{
  "value": [
    {
      "id": "bbbbbbbb-1111-2222-3333-cccccccccccc",
      "displayName": "Y2024",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
      "parentFolderId": "aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb"
    },
    {
      "id": "cccccccc-8888-9999-0000-dddddddddddd",
      "displayName": "Q1",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
      "parentFolderId": "bbbbbbbb-1111-2222-3333-cccccccccccc"
    },
    {
      "id": "dddddddd-9999-0000-1111-eeeeeeeeeeee",
      "displayName": "Q2",
      "workspaceId": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
      "parentFolderId": "bbbbbbbb-1111-2222-3333-cccccccccccc"
    }
  ]
}

Definitions

Name Description
ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

Folder

A folder object.

Folders

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

Folder

A folder object.

Name Type Description
displayName

string

The folder display name.

id

string (uuid)

The folder ID.

parentFolderId

string (uuid)

The parent folder ID. If the parent folder is a workspace, parentFolderId is either not specified or null.

workspaceId

string (uuid)

The workspace ID.

Folders

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

Folder[]

A list of folders.